InfoGrab Docs

Sidekiq 메트릭 API

요약

이 API 엔드포인트를 통해 Sidekiq의 현재 상태, 잡, 큐 및 프로세스에 대한 정보를 조회할 수 있습니다. 백로그 크기 및 지연 시간을 포함한 모든 Sidekiq 잡 큐에 대한 세부 정보를 나열합니다. 호스트명, 프로세스 ID, 큐, 동시성 설정을 포함한 등록된 모든 Sidekiq 워커 프로세스에 대한 세부 정보를 나열합니다.

이 API 엔드포인트를 통해 Sidekiq의 현재 상태, 잡, 큐 및 프로세스에 대한 정보를 조회할 수 있습니다.

모든 잡 큐 메트릭 목록 조회#

백로그 크기 및 지연 시간을 포함한 모든 Sidekiq 잡 큐에 대한 세부 정보를 나열합니다.

GET /sidekiq/queue_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/queue_metrics"

응답 예시:

{
  "queues": {
    "default": {
      "backlog": 0,
      "latency": 0
    }
  }
}

모든 Sidekiq 프로세스 목록 조회#

호스트명, 프로세스 ID, 큐, 동시성 설정을 포함한 등록된 모든 Sidekiq 워커 프로세스에 대한 세부 정보를 나열합니다.

GET /sidekiq/process_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/process_metrics"

응답 예시:

{
  "processes": [
    {
      "hostname": "gitlab.example.com",
      "pid": 5649,
      "tag": "gitlab",
      "started_at": "2016-06-14T10:45:07.159-05:00",
      "queues": [
        "post_receive",
        "mailers",
        "archive_repo",
        "system_hook",
        "project_web_hook",
        "gitlab_shell",
        "incoming_email",
        "runner",
        "common",
        "default"
      ],
      "labels": [],
      "concurrency": 25,
      "busy": 0
    }
  ]
}

잡 완료 메트릭 조회#

모든 Sidekiq 잡의 완료 상태에 대한 통계를 조회합니다.

GET /sidekiq/job_stats
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/job_stats"

응답 예시:

{
  "jobs": {
    "processed": 2,
    "failed": 0,
    "enqueued": 0,
    "dead": 0
  }
}

모든 Sidekiq 메트릭 목록 조회#

단일 응답으로 큐, 프로세스 및 잡 완료 메트릭을 포함한 모든 Sidekiq 메트릭을 나열합니다.

GET /sidekiq/compound_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/compound_metrics"

응답 예시:

{
  "queues": {
    "default": {
      "backlog": 0,
      "latency": 0
    }
  },
  "processes": [
    {
      "hostname": "gitlab.example.com",
      "pid": 5649,
      "tag": "gitlab",
      "started_at": "2016-06-14T10:45:07.159-05:00",
      "queues": [
        "post_receive",
        "mailers",
        "archive_repo",
        "system_hook",
        "project_web_hook",
        "gitlab_shell",
        "incoming_email",
        "runner",
        "common",
        "default"
      ],
      "labels": [],
      "concurrency": 25,
      "busy": 0
    }
  ],
  "jobs": {
    "processed": 2,
    "failed": 0,
    "enqueued": 0,
    "dead": 0
  }
}

Sidekiq 메트릭 API

Tier: Free, Premium, Ultimate
Offering: GitLab Self-Managed, GitLab Dedicated
원문 보기
요약

이 API 엔드포인트를 통해 Sidekiq의 현재 상태, 잡, 큐 및 프로세스에 대한 정보를 조회할 수 있습니다. 백로그 크기 및 지연 시간을 포함한 모든 Sidekiq 잡 큐에 대한 세부 정보를 나열합니다. 호스트명, 프로세스 ID, 큐, 동시성 설정을 포함한 등록된 모든 Sidekiq 워커 프로세스에 대한 세부 정보를 나열합니다.

이 API 엔드포인트를 통해 Sidekiq의 현재 상태, 잡, 큐 및 프로세스에 대한 정보를 조회할 수 있습니다.

모든 잡 큐 메트릭 목록 조회#

백로그 크기 및 지연 시간을 포함한 모든 Sidekiq 잡 큐에 대한 세부 정보를 나열합니다.

GET /sidekiq/queue_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/queue_metrics"

응답 예시:

{
  "queues": {
    "default": {
      "backlog": 0,
      "latency": 0
    }
  }
}

모든 Sidekiq 프로세스 목록 조회#

호스트명, 프로세스 ID, 큐, 동시성 설정을 포함한 등록된 모든 Sidekiq 워커 프로세스에 대한 세부 정보를 나열합니다.

GET /sidekiq/process_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/process_metrics"

응답 예시:

{
  "processes": [
    {
      "hostname": "gitlab.example.com",
      "pid": 5649,
      "tag": "gitlab",
      "started_at": "2016-06-14T10:45:07.159-05:00",
      "queues": [
        "post_receive",
        "mailers",
        "archive_repo",
        "system_hook",
        "project_web_hook",
        "gitlab_shell",
        "incoming_email",
        "runner",
        "common",
        "default"
      ],
      "labels": [],
      "concurrency": 25,
      "busy": 0
    }
  ]
}

잡 완료 메트릭 조회#

모든 Sidekiq 잡의 완료 상태에 대한 통계를 조회합니다.

GET /sidekiq/job_stats
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/job_stats"

응답 예시:

{
  "jobs": {
    "processed": 2,
    "failed": 0,
    "enqueued": 0,
    "dead": 0
  }
}

모든 Sidekiq 메트릭 목록 조회#

단일 응답으로 큐, 프로세스 및 잡 완료 메트릭을 포함한 모든 Sidekiq 메트릭을 나열합니다.

GET /sidekiq/compound_metrics
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/sidekiq/compound_metrics"

응답 예시:

{
  "queues": {
    "default": {
      "backlog": 0,
      "latency": 0
    }
  },
  "processes": [
    {
      "hostname": "gitlab.example.com",
      "pid": 5649,
      "tag": "gitlab",
      "started_at": "2016-06-14T10:45:07.159-05:00",
      "queues": [
        "post_receive",
        "mailers",
        "archive_repo",
        "system_hook",
        "project_web_hook",
        "gitlab_shell",
        "incoming_email",
        "runner",
        "common",
        "default"
      ],
      "labels": [],
      "concurrency": 25,
      "busy": 0
    }
  ],
  "jobs": {
    "processed": 2,
    "failed": 0,
    "enqueued": 0,
    "dead": 0
  }
}